<div class="centered-content">
    <div class="white-box">
        <h1 class="title">Sign up</h1>
    <div class="field">
        <p class="control">
          <input #emailInput class="input" type="email" placeholder="Email" style="font-size: 1.25rem;">
          <span class="icon">
            <i class="fas fa-envelope"></i>
          </span>
        </p>
        <span style="color: red;" *ngIf="invalidEmail">*Email is required</span>
      </div>
    <div class="field">
        <p class="control">
          <input #nameInput class="input" type="name" placeholder="Name" style="font-size: 1.25rem;">
          <span class="icon">
            <i class="fa-solid fa-user"></i>
          </span>
        </p>
        <span style="color: red;" *ngIf="invalidUserName">*Username is required</span>
      </div>
      <div class="field">
        <p class="control has-icons-left">
          <input #passwordInput class="input" type="password" placeholder="Password" style="font-size: 1.25rem;">
          <span class="icon">
            <i class="fas fa-lock"></i>
          </span>
        </p>
        <span style="color: red;" *ngIf="invalidPassword">*Password is required</span>
      </div>
      <small style="color: red;" *ngIf="errorMassage">Invalid Email or Password. Please try again!</small>
      <div class="field" style="display: flex; justify-content: flex-end;">
        <p class="control">
          <button class="button is-success" (click)="onSignupButtonClicked(emailInput.value, nameInput.value, passwordInput.value)" style="font-size: 1.25rem;">
            Sign up
          </button>
        </p>
      </div>
      <br/>
      <p class="text-grey">Already got an account?<a routerLink="/login"> Login </a>now!</p>
    </div>
</div>